Installing turtlebot: dependency is not going to be installed [closed]

asked 2013-11-21 01:14:04 -0600

jotaraul gravatar image

updated 2014-01-28 17:18:36 -0600

ngrennan gravatar image

Hi dudes,

I've ubuntu 12.04 and I've followed the instructions here to install ROS, concretely ros-hydro-desktop-full, without any problem. I've done all the beginner tutorials also without problems.

However, when I've reached to the turtlebot simulator tutorial I've to install this:

$ sudo apt-get install ros-hydro-turtlebot-apps ros-hydro-turtlebot-rviz-launchers

and I get the following error:

Reading package lists... Done
Building dependency tree       
Reading state information... Done
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
 ros-hydro-turtlebot-apps : Depends: ros-hydro-turtlebot-actions but it is not going to be installed
                            Depends: ros-hydro-turtlebot-calibration but it is not going to be installed
                            Depends: ros-hydro-turtlebot-core-apps but it is not going to be installed
                            Depends: ros-hydro-turtlebot-follower but it is not going to be installed
                            Depends: ros-hydro-turtlebot-navigation but it is not going to be installed
                            Depends: ros-hydro-turtlebot-panorama but it is not going to be installed
                            Depends: ros-hydro-turtlebot-teleop but it is not going to be installed
 ros-hydro-turtlebot-rviz-launchers : Depends: ros-hydro-turtlebot-bringup but it is not going to be installed
E: Unable to correct problems, you have held broken packages.

If I try to install some of that dependencies, let's say ros-hydro-turtlebot, I get another dependency more, and so on, till I arrive to:

ros-hydro-openni-launch : Depends: ros-hydro-openni-camera but it is not going to be installed
E: Unable to correct problems, you have held broken packages.
raul@raul-desktop:~$ sudo apt-get install ros-hydro-openni-camera
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
 ros-hydro-openni-camera : Depends: libopenni0 but it is not going to be installed
                           Depends: libopenni-dev but it is not going to be installed
                           Depends: libopenni-sensor-primesense-dev but it is not going to be installed
E: Unable to correct problems, you have held broken packages.

Finally, if I try to install libopenni0, I get the following:

Reading package lists... Done
Building dependency tree       
Reading state information... Done
The following packages were automatically installed and are no longer required:
  ros-hydro-rqt-runtime-monitor ros-hydro-qt-gui-py-common libpcl-surface-1.7-dev libbullet-dev ros-hydro-gmapping ros-hydro-self-test ros-hydro-opencv2
  libpoconet9 ros-hydro-rqt-reconfigure ros-hydro-move-base-msgs ros-hydro-rqt-robot-dashboard ros-hydro-common-tutorials libcaca-dev ros-hydro-collada-urdf
  ros-hydro-roslisp python-pyside.qtopengl ros-hydro-rosbag libpocodata9 ros-hydro-robot-model ros-hydro-cv-bridge ros-hydro-rosbag-migration-rule
  libogre-1.7.4 libp11-kit-dev libpcl-surface-1.7 libxaw7-dev ros-hydro-rqt-robot-steering ros-hydro-ros-comm libpcl-features-1.7-dev yaml-cpp
  ros-hydro-rqt-launch ros-hydro-vision-opencv ros-hydro-image-common libslang2-dev python-sphinx ros-hydro-random-numbers libpocosqlite9 python-matplotlib
  libzzip-dev ros-hydro-turtle-actionlib ros-hydro-pluginlib-tutorials ros-hydro-image-proc libplayerdrivers3.0 libpocomysql9 python-pyside.qtdeclarative
  ros-hydro-smclib libfreeimage3 libpoco-dev libassimp2 libraw5 ros-hydro-roslaunch ros-hydro-kdl-parser ros-hydro-rqt-gui-py libprotobuf7
  libpcl-outofcore-1.7 libpcl-recognition-1.7 libpocoutil9 python-pyside.phonon librtmp-dev libgpg-error-dev libpyside-py3-1.1 libplayerc3.0 python-epydoc
  ros-hydro-media-export ros-hydro-tf2-bullet ros-hydro-message-filters ros-hydro-timestamp-tools ros-hydro-driver-common libcppunit-1.12-1
  libpcl-geometry-1.7-dev ros-hydro-rosnode ros-hydro-stage ros-hydro-rqt-action sphinx-doc libplayercommon3.0 python-pyside.qtuitools
  libpcl-registration-1.7-dev ...
(more)
edit retag flag offensive reopen merge delete

Closed for the following reason question is not relevant or outdated by tfoote
close date 2015-11-19 20:08:34.488557